/**************************************************************************
 *
 *	project				 : VisiScript
 *
 *	copyright            : (C) 2002 by Michael Neuroth
 *
 * ------------------------------------------------------------------------
 *
 *  $Source: E:/home/cvsroot/visiscript/codeedit.h,v $
 *
 *  $Revision: 1.2 $
 *
 *	$Log: codeedit.h,v $
 *	Revision 1.2  2005/12/03 18:49:30  Michael
 *	added code to handle main file menu item
 *	
 *	Revision 1.1.1.1  2005/11/06 11:34:15  Michael
 *	initial checkin of version 0.3.2
 *	
 *
 ***************************************************************************/
/*********************************************************************************
 *																				 *
 * This file is part of the VisiScript package (a frontend for script languages) *
 *																				 *
 * Copyright (C) 2002 by Michael Neuroth.										 *
 *                                                                               *
 * This program is free software; you can redistribute it and/or modify			 *
 * it under the terms of the GNU General Public License as published by    		 *
 * the Free Software Foundation; either version 2 of the License, or             *
 * (at your option) any later version.                                           *
 *                                                                               *
 ********************************************************************************/

#ifndef _CODEEDIT_H
#define _CODEEDIT_H

#include <qstring.h>
#include <qfont.h>
#include "qextscintilla.h"

class QextScintillaLexer;
class QDropEvent;
class QTabWidget;
class QWidget;

bool SplitPath( const char * sPath, QString & sDrive, QString & sDir, QString & sFileName, QString & sExt );

class MyQCodeEdit : public QextScintilla
{
	Q_OBJECT

public:
	MyQCodeEdit( QWidget * parent=0, const char * name=0, QTabWidget * pTabWidget = 0, QWidget * pTab = 0, QWidget * pMainWin = 0 );
	~MyQCodeEdit();

	bool hasMarkedTxt();
	QString markedTxt();

	void setLexer( QextScintillaLexer * pLexer, int iLanguageID );
	void updateFontForLexer( const QFont & aFont );

	void setWordWrap( bool bValue );
	void setOverwriteMode( bool bValue );
	bool overwriteMode();
	void setHorizScrollbar( bool bValue );
	void setEdited( bool bValue );
	bool edited();
//	void setFont( const QFont & f );
//	void setHorizScrollbar( bool bVisible );
//	void setMaxWidth( int iCount );
	void setLanguageID( int iLanguageID );
	int  languageID();

	void setFileName( const QString & sFileName );
	QString fileName() const;

	bool isLastKeyReturn() const;

	bool isMainFile() const;
	void setMainFile(bool bValue);

public slots:
	void sltChanged();
	void sltNotChanged();
	void sltUpdate();

	virtual void show();

signals:
	void isShowing();
	void sigTabWithSelectedTextPressed();
	void sigShiftTabWithSelectedTextPressed();

protected:
		//! Re-implemented to handle the key presses for the widget.
	virtual void keyPressEvent(QKeyEvent *ke);

private:
	void UpdateTabName();

	QextScintillaLexer *	m_pLexer;
	QString					m_sFileName;
	QTabWidget *			m_pTabWidget;	// not an owner !
	QWidget *				m_pTab;			// not an owner !
	bool					m_bIsMainFile;
	bool					m_bChanged;
	int						m_iLanguageID;
	bool					m_bWasLastKeyReturn;
};

#endif
