/**************************************************************************
 *
 *	project				 : VisiScript
 *
 *	copyright            : (C) 2002 by Michael Neuroth
 *
 * ------------------------------------------------------------------------
 *
 *  $Source: E:/home/cvsroot/visiscript/findinfilesdlgimpl.cpp,v $
 *
 *  $Revision: 1.5 $
 *
 *	$Log: findinfilesdlgimpl.cpp,v $
 *	Revision 1.5  2005/11/20 18:12:39  Michael
 *	bad include name corrected
 *	
 *	Revision 1.4  2005/11/20 16:25:06  Michael
 *	fix for the zaurus platform
 *	
 *	Revision 1.3  2005/11/14 16:30:18  Michael
 *	working on select directory for zaurus
 *	
 *	Revision 1.2  2005/11/10 22:48:39  Michael
 *	set ok-button as default button
 *	
 *	Revision 1.1  2005/11/07 21:36:36  Michael
 *	added find-in-files dialog
 *	
 *
 ***************************************************************************/
/*********************************************************************************
 *																				 *
 * This file is part of the VisiScript package (a frontend for script languages) *
 *																				 *
 * Copyright (C) 2002 by Michael Neuroth.										 *
 *                                                                               *
 * This program is free software; you can redistribute it and/or modify			 *
 * it under the terms of the GNU General Public License as published by    		 *
 * the Free Software Foundation; either version 2 of the License, or             *
 * (at your option) any later version.                                           *
 *                                                                               *
 ********************************************************************************/

#include "findinfilesdlgimpl.h"

#include <qpushbutton.h>
#include <qcombobox.h>
#include <qhbox.h>
#include <qlayout.h>
#include <qfiledialog.h> 

#ifdef ZAURUS
#include "filebrowser.h"
#endif

FindInFilesDlgImpl::FindInFilesDlgImpl( QWidget* parent, const char* name, bool modal, WFlags fl )
: FindInFilesDlg( parent, name, modal, fl )
{
#ifndef ZAURUS
	QHBox * pBox = new QHBox( this );
	QPushButton * pOk = new QPushButton( tr( "&Ok" ), pBox );
	QPushButton * pCancel = new QPushButton( tr( "&Cancel" ), pBox );

	m_pSelectDirectory->setAutoDefault(false);
	pOk->setAutoDefault(true);

    FindInFilesDlgLayout->addMultiCellWidget( pBox, 9, 9, 0, 1 );

    connect( pOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( pCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );

    connect( m_pSelectDirectory, SIGNAL( clicked() ), this, SLOT( sltSelectDirectory() ) );
#else
	// select a directory is not available for the zaurus yet :-(
    m_pSelectDirectory->setEnabled(false);
#endif
}

void FindInFilesDlgImpl::sltSelectDirectory()
{
#ifndef ZAURUS
    QString strDir = QFileDialog::getExistingDirectory( m_pDirectoryText->currentText(), this );
	if( !strDir.isEmpty() )
	{
		m_pDirectoryText->setEditText( strDir );
	}
#endif
}
