/**************************************************************************
 *
 *	project				 : VisiScript
 *
 *	copyright            : (C) 2002 by Michael Neuroth
 *
 * ------------------------------------------------------------------------
 *
 *  $Source: E:/home/cvsroot/visiscript/mymledit.cpp,v $
 *
 *  $Revision: 1.3 $
 *
 *	$Log: mymledit.cpp,v $
 *	Revision 1.3  2005/11/27 16:23:05  Michael
 *	improved compile support for all platforms
 *	
 *	Revision 1.2  2005/11/14 16:23:20  Michael
 *	simulate mouse-double-click event for zaurus
 *	
 *	Revision 1.1.1.1  2005/11/06 11:34:15  Michael
 *	initial checkin of version 0.3.2
 *	
 *
 ***************************************************************************/
/*********************************************************************************
 *																				 *
 * This file is part of the VisiScript package (a frontend for script languages) *
 *																				 *
 * Copyright (C) 2002 by Michael Neuroth.										 *
 *                                                                               *
 * This program is free software; you can redistribute it and/or modify			 *
 * it under the terms of the GNU General Public License as published by    		 *
 * the Free Software Foundation; either version 2 of the License, or             *
 * (at your option) any later version.                                           *
 *                                                                               *
 ********************************************************************************/

#include "mymledit.h"

#ifdef ZAURUS
#include <qwidget.h>
#include <qevent.h>
#endif

// ************************************************************************

MyQMultiLineEdit::MyQMultiLineEdit( QWidget * parent, const char * name )
	:  QMultiLineEdit( parent, name )
{
}

MyQMultiLineEdit::~MyQMultiLineEdit()
{
}

bool MyQMultiLineEdit::hasMarkedTxt()
{
	return hasMarkedText();
}

QString MyQMultiLineEdit::markedTxt()
{
	return markedText();
}

// ************************************************************************

ZMyQMultiLineEdit::ZMyQMultiLineEdit( QWidget * parent, const char * name )
	:  MyQMultiLineEdit( parent, name )
{
}

ZMyQMultiLineEdit::~ZMyQMultiLineEdit()
{
}

void ZMyQMultiLineEdit::mouseDoubleClickEvent( QMouseEvent * m )
{
	// simulate a new doubleClicked()-event
	int iLine = 0;
	int iPos = 0;
	getCursorPosition( &iLine, &iPos );
	emit doubleClicked( iLine, iPos );
}

