# The project file for the qscintilla library.
#
# Copyright (c) 2005
# 	Riverbank Computing Limited <info@riverbankcomputing.co.uk>
# 
# This file is part of QScintilla.
# 
# This copy of QScintilla is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option) any
# later version.
# 
# QScintilla is supplied in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# 
# You should have received a copy of the GNU General Public License along with
# QScintilla; see the file LICENSE.  If not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


unix:VERSION = 6.0.0


TEMPLATE    = lib
TARGET      = qscintilla
#TARGET     = qscintilla_d
#DESTDIR    = $(QTDIR)/lib
DESTDIR     = .
CONFIG      += qt warn_off release staticlib thread
#CONFIG     += qt warn_off debug staticlib thread
INCLUDEPATH = . ../include ../src ./patches
DEFINES     = QEXTSCINTILLA_MAKE_DLL QT SCI_LEXER ZPATCH VISISCRIPT_PATCH

HEADERS = \
	qextscintillaglobal.h \
	qextscintilla.h \
	qextscintillaapis.h \
	qextscintillabase.h \
	qextscintillacommand.h \
	qextscintillacommandset.h \
	qextscintilladocument.h \
	qextscintillalexer.h \
	qextscintillalexerbash.h \
	qextscintillalexerbatch.h \
	qextscintillalexercpp.h \
	qextscintillalexercsharp.h \
	qextscintillalexercss.h \
	qextscintillalexerdiff.h \
	qextscintillalexerhtml.h \
	qextscintillalexeridl.h \
	qextscintillalexerjava.h \
	qextscintillalexerjavascript.h \
	qextscintillalexerlua.h \
	qextscintillalexermakefile.h \
	qextscintillalexerperl.h \
	qextscintillalexerpov.h \
	qextscintillalexerproperties.h \
	qextscintillalexerpython.h \
	qextscintillalexerruby.h \
	qextscintillalexersql.h \
	qextscintillalexerlisp.h \
	qextscintillalexertex.h \
	qextscintillamacro.h \
	SciListBox.h \
	ScintillaQt.h \
	../include/Accessor.h \
	../include/KeyWords.h \
	../include/Platform.h \
	../include/PropSet.h \
	../include/SString.h \
	../include/SciLexer.h \
	../include/Scintilla.h \
	../include/ScintillaWidget.h \
	../include/WindowAccessor.h \
	../src/AutoComplete.h \
	../src/CallTip.h \
	../src/CellBuffer.h \
	../src/ContractionState.h \
	../src/Document.h \
	../src/DocumentAccessor.h \
	../src/Editor.h \
	../src/ExternalLexer.h \
	../src/Indicator.h \
	../src/KeyMap.h \
	../src/LineMarker.h \
	../src/RESearch.h \
	../src/SVector.h \
	../src/ScintillaBase.h \
	../src/Style.h \
	../src/StyleContext.h \
	../src/ViewStyle.h \
	../src/XPM.h

SOURCES = \
	qextscintilla.cpp \
	qextscintillaapis.cpp \
	qextscintillabase.cpp \
	qextscintillacommand.cpp \
	qextscintillacommandset.cpp \
	qextscintilladocument.cpp \
	qextscintillalexer.cpp \
	qextscintillalexerbash.cpp \
	qextscintillalexerbatch.cpp \
	qextscintillalexercpp.cpp \
	qextscintillalexercsharp.cpp \
	qextscintillalexercss.cpp \
	qextscintillalexerdiff.cpp \
	qextscintillalexerhtml.cpp \
	qextscintillalexeridl.cpp \
	qextscintillalexerjava.cpp \
	qextscintillalexerjavascript.cpp \
	qextscintillalexerlua.cpp \
	qextscintillalexermakefile.cpp \
	qextscintillalexerperl.cpp \
	qextscintillalexerpov.cpp \
	qextscintillalexerproperties.cpp \
	qextscintillalexerpython.cpp \
	qextscintillalexerruby.cpp \
	qextscintillalexersql.cpp \
	qextscintillalexerlisp.cpp \
	qextscintillalexertex.cpp \
	qextscintillamacro.cpp \
	SciListBox.cpp \
	PlatQt.cpp \
	patches/qsettings.cpp \
	patches/qsettings_unix.cpp \
	ScintillaQt.cpp \
	../src/AutoComplete.cpp \
	../src/CallTip.cpp \
	../src/CellBuffer.cpp \
	../src/ContractionState.cpp \
	../src/Document.cpp \
	../src/DocumentAccessor.cpp \
	../src/Editor.cpp \
	../src/ExternalLexer.cpp \
	../src/Indicator.cpp \
        ../src/KeyMap.cpp \
	../src/KeyWords.cpp \
	../src/LexBash.cpp \
	../src/LexCPP.cpp \
	../src/LexCSS.cpp \
	../src/LexConf.cpp \
	../src/LexEScript.cpp \
	../src/LexHTML.cpp \
	../src/LexLisp.cpp \
	../src/LexLua.cpp \
	../src/LexOthers.cpp \
	../src/LexPerl.cpp \
	../src/LexPOV.cpp \
	../src/LexPython.cpp \
	../src/LexRuby.cpp \
	../src/LexSQL.cpp \
	../src/LexTeX.cpp \
	../src/LineMarker.cpp \
	../src/PropSet.cpp \
        ../src/RESearch.cpp \
        ../src/ScintillaBase.cpp \
	../src/Style.cpp \
	../src/StyleContext.cpp \
	../src/ViewStyle.cpp \
	../src/WindowAccessor.cpp \
	../src/XPM.cpp

TRANSLATIONS = \
	qscintilla_de.ts \
	qscintilla_fr.ts \
	qscintilla_ptbr.ts \
	qscintilla_ru.ts


#header.path = $(QTDIR)/include
#header.files = qextscintilla*.h

#trans.path = $(QTDIR)/translations
#trans.files = qscintilla_*.qm

INSTALLS += header trans