/**************************************************************************
 *
 *	project				 : VisiScript
 *
 *	copyright            : (C) 2002 by Michael Neuroth
 *
 * ------------------------------------------------------------------------
 *
 *  $Source: E:/home/cvsroot/visiscript/zvisiscript.h,v $
 *
 *  $Revision: 1.3 $
 *
 *	$Log: zvisiscript.h,v $
 *	Revision 1.3  2005/11/20 19:02:52  Michael
 *	patch for zaurus
 *	
 *	Revision 1.2  2005/11/20 16:44:25  Michael
 *	using ZFax filebrowser as filedialog instead of the original (slow) filedialog
 *	
 *	Revision 1.1.1.1  2005/11/06 11:34:15  Michael
 *	initial checkin of version 0.3.2
 *	
 *
 ***************************************************************************/
/*********************************************************************************
 *																				 *
 * This file is part of the VisiScript package (a frontend for script languages) *
 *																				 *
 * Copyright (C) 2002 by Michael Neuroth.										 *
 *                                                                               *
 * This program is free software; you can redistribute it and/or modify			 *
 * it under the terms of the GNU General Public License as published by    		 *
 * the Free Software Foundation; either version 2 of the License, or             *
 * (at your option) any later version.                                           *
 *                                                                               *
 ********************************************************************************/

#ifndef ZVISISCRIPT_H
#define ZVISISCRIPT_H

#include "visiscript.h"

#include <qpe/filemanager.h>
#include <qpe/applnk.h>

class QAction;

// WARNING:
// do not use the original file-dialog (FileSelector) handling,
// because it is buggy for multiple documents !!!
#undef _use_original_file_dialog

class ZVisiScript : public VisiScript
{
    Q_OBJECT

public:
    ZVisiScript( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
	virtual ~ZVisiScript();

#ifdef _use_original_file_dialog
	virtual bool DoImportFile( const QString & sFileName );
#endif

public slots:
    virtual void sltFileSaveAs();
	virtual void sltFileOpen();
	virtual void sltFileSave();
    virtual void sltShowScript();

    void sltNewFileDoc( const DocLnk & );
    void sltOpenFileDoc( const DocLnk & );
    void sltGotoBegin();
    void sltGotoEnd();

protected:
    virtual void updateFileSelector();

	FileSelector *		m_pFileSelector;

    // some hidden actions for accelerator keys for the zaurus
	QAction *			m_pGotoBegin;
	QAction *			m_pGotoEnd;

#ifdef _use_original_file_dialog
    DocLnk 				m_aDoc;
#endif
};

#endif
